# Email Entitlements

The Sudo Platform entitlements system is used to control consumption of Sudo Platform resources and the Email service integrates with this system.

{% hint style="info" %}
Read more about the Sudo Platform entitlements system and how to integrate with it in the [Entitlements](/guides/entitlements.md) section of the Sudo Platform documentation.
{% endhint %}

The following table describes the entitlements used to control access to the Email service:

<table><thead><tr><th>Entitlement</th><th width="186.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>sudoplatform.email.emailAddressUserEntitled</code></td><td>Boolean</td><td>Whether or not the user is entitled to provision new email addresses</td></tr><tr><td><code>sudoplatform.email.emailMessageSendUserEntitled</code></td><td>Boolean</td><td>Whether or not the user is entitled to send emails</td></tr><tr><td><code>sudoplatform.email.emailMessageReceiveUserEntitled</code></td><td>Boolean</td><td>Whether or not the user is entitled to receive emails</td></tr><tr><td><code>sudoplatform.email.emailAddressMaxPerSudo</code></td><td>Numeric</td><td>Maximum number of email addresses per Sudo profile.</td></tr><tr><td><code>sudoplatform.email.emailStorageMaxPerEmailAddress</code></td><td>Numeric</td><td>Maximum amount of non-draft email data stored per email address in bytes.</td></tr><tr><td><code>sudoplatform.email.emailStorageMaxPerUser</code></td><td>Numeric</td><td>Maximum amount of non-draft email data stored per user in bytes.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sudoplatform.com/guides/email/email-entitlements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
